summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgunfmt-tcl-1
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-03-10 18:13:28 +0900
committerDaiki Ueno <ueno@gnu.org>2014-03-10 18:24:15 +0900
commitd66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch)
treec4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/msgunfmt-tcl-1
parent0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff)
downloadexternal_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since 'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/msgunfmt-tcl-1')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/msgunfmt-tcl-112
1 files changed, 1 insertions, 11 deletions
diff --git a/gettext-tools/tests/msgunfmt-tcl-1 b/gettext-tools/tests/msgunfmt-tcl-1
index 2dae62a..ab493d7 100755..100644
--- a/gettext-tools/tests/msgunfmt-tcl-1
+++ b/gettext-tools/tests/msgunfmt-tcl-1
@@ -10,22 +10,17 @@
# reads empty output, and refrains from creating a PO file because
# --force-po was not specified.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
# Test whether we can execute Tcl programs and Tcl's fconfigure command
# understands the -encoding option (it does since approximately Tcl 8.1).
-tmpfiles="$tmpfiles mu-tcl-1-version.tcl"
cat <<\EOF > mu-tcl-1-version.tcl
fconfigure stdout -encoding utf-8
puts $tcl_version
EOF
(tclsh mu-tcl-1-version.tcl) >/dev/null 2>/dev/null \
|| { echo "Skipping test: tclsh not found or Tcl too old"
- rm -fr $tmpfiles; exit 77
+ exit 77
}
-tmpfiles="$tmpfiles mu-tcl-1-fr.po"
cat <<\EOF > mu-tcl-1-fr.po
msgid ""
msgstr "Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -41,18 +36,15 @@ msgid "%s is replaced by %s."
msgstr "%2$s remplace %1$s."
EOF
-tmpfiles="$tmpfiles mu-tcl-1-msgs"
test -d mu-tcl-1-msgs || mkdir mu-tcl-1-msgs
: ${MSGFMT=msgfmt}
${MSGFMT} --tcl -d mu-tcl-1-msgs -l fr mu-tcl-1-fr.po || exit 1
-tmpfiles="$tmpfiles mu-tcl-1-prog.out"
: ${MSGUNFMT=msgunfmt}
GETTEXTDATADIR="$abs_top_srcdir"/src \
${MSGUNFMT} --tcl -d mu-tcl-1-msgs -l fr -o mu-tcl-1-prog.out || exit 1
-tmpfiles="$tmpfiles mu-tcl-1-prog.ok"
cat <<\EOF > mu-tcl-1-prog.ok
msgid ""
msgstr "Content-Type: text/plain; charset=UTF-8\n"
@@ -66,6 +58,4 @@ EOF
: ${DIFF=diff}
${DIFF} mu-tcl-1-prog.ok mu-tcl-1-prog.out || exit 1
-rm -fr $tmpfiles
-
exit 0